Subject: Re: bug#25442: stacktrace

From: [email-masked] (Ludovic Courtès)
Date: Sun, 15 Jan 2017 21:30:00 +0100

Jan Nieuwenhuizen <[email-masked]> skribis:

> Ludovic Courtès writes:
>
>> The ‘emacs’ package currently doesn’t have a ‘debug’ output.  So you
>> would first need to add one:
>>
>>   (outputs '("out" "debug"))
>>
>> and then install both outputs:
>>
>>   guix package -i emacs emacs:debug
>>
>> See
>> <https://www.gnu.org/software/guix/manual/html_node/Installing-Debugging-Files.html>.
>
> Thank you!  Very nice documentation.  As discussed on IRC it was needed
> to not use grafts to avoid gdb `CRC mismatch'
>
>     guix package --no-grafts -i emacs emacs:debug
>
> I also set
>
>     ~/.gdbinit
>     set debug-file-directory ~/.guix-profile/lib/debug
>
> and did
>
>     guix build --source emacs
>     tar xf /gnu/store/wqdh5lxyrkzjhxy2rvs7qsbrd07lw89i-emacs-25.1.tar.xz
>
> and set
>
>     (gdb) directory ~/src/guix/emacs-25.1/src
>
> Now I have a full backtrace; attached.

Cool, glad it worked.

> I'm not sure how to continue here; I built Emacs from GIT and there the
> problem is not present.  Looking at the diff from 25.1 until HEAD I do
> not see any obvious patches, neither does the git log point me to one.

So the question is whether this bug is introduced by our packaging or
whether it’s an upstream bug.

Perhaps you could build with (warning! this command does not
authenticate the tarball it downloads):

  guix package -i emacs emacs:debug \
    --with-source=ftp://alpha.gnu.org/gnu/emacs/emacs-25.1.91.tar.xz

or similarly with a nightly snapshot or Git checkout.

I’m afraid that’s all I can suggest now.

HTH!

Ludo’.